$("#clickme").click(function () {
  var body = $("html, body");
  body.stop().animate({ scrollTop: 0 }, 500, 'swing', function () {
  });
  // $('body,html').animate({
  //     scrollTop:$('#header').offset().top
  // },'1000');
});
$("#show-modal").click(function (event) {
  $("#CodeModal").modal();
  event.preventDefault();
})
var check_msg = "<?= $lang=='ar'?'جار التحقق ....':'Checking ...'?>";
var after_check = "<?= $lang=='ar'?'التحقق':'Check'?>";

// if(window.location.href)
var check = window.location.href.indexOf("check");
if (check > -1) {
  alert("your url contains the name franky");
}
// <?php //if(isset($_GET["check"])):?>

$.ajax({
  // url : "https://www.albaraka.com.sy/check.php?doc_number="+"<?php // echo $_GET["check"];?>",
  url: "https://www.albaraka.com.sy/check.php?doc_number=" + check,
  type: 'get',
  success: function (res) {
    // console.log(res);
    res = JSON.parse(res);
    if (res.data == true) {
      alert("الوثيقة صادرة عن بنك البركة-سورية");
    }
    else {
      alert("الوثيقة ليست صادرة عن بنك البركة-سورية,للتأكد يرجى التواصل مع البنك");
    }
  },
  error: function (msg) {
    console.log({
      title: 'Error',
      text: msg.errorCode,
      type: 'error'
    });
  }
});
// <?php //endif ?>
$("#modal-bn").click(function () {
  $("#modal-bn").attr("disabled", true)
  $("#modal-bn").val(check_msg)
  $.ajax({
    url: "https://www.albaraka.com.sy/check.php?doc_number=" + $("#doc_num").val(),
    type: 'get',
    success: function (res) {
      // console.log(res);
      res = JSON.parse(res);
      if (res.data == true) {
        alert("الوثيقة صادرة عن بنك البركة-سورية");
      }
      else {
        alert("الوثيقة ليست صادرة عن بنك البركة-سورية,للتأكد يرجى التواصل مع البنك");
      }
      $("#modal-bn").removeAttr("disabled")
      $("#modal-bn").val(after_check)

    },
    error: function (msg) {
      console.log({
        title: 'Error',
        text: msg.errorCode,
        type: 'error'
      });
    }
  });
});

$("#doc_btn").click(function () {

  $.ajax({
    url: "https://www.albaraka.com.sy/check.php?doc_number=" + $("#doc_num2").val(),
    type: 'get',
    success: function (res) {
      // console.log(res);
      res = JSON.parse(res);
      if (res.data == true) {
        alert("الوثيقة صادرة عن بنك البركة-سورية");
      }
      else {
        alert("الوثيقة ليست صادرة عن بنك البركة-سورية,للتأكد يرجى التواصل مع البنك");
      }
    },
    error: function (msg) {
      console.log({
        title: 'Error',
        text: msg.errorCode,
        type: 'error'
      });
    }
  });
});

$(window).scroll(function (event) {
  if ($(window).scrollTop() <= 1500) {
    $("#clickme").hide(500);
  }
  else {
    $("#clickme").show(500);
  }
});

// if (window.innerWidth < 768) {
//   window.onscroll = function () { myFunction() };
// }


// Get the header
var header = document.getElementById("header");
// console.log(hum)
// Get the offset position of the navbar
// var sticky = header.offsetTop;


// // Add the sticky class to the header when you reach its scroll position. Remove "sticky" when you leave the scroll position
// function myFunction() {
//   var hum = document.getElementById("sm_menu_ham");
//   if (window.pageYOffset > sticky) {
//     header.classList.add("sticky");
//     hum.classList.add("sticky");
//   } else {
//     header.classList.remove("sticky");
//     hum.classList.remove("sticky");
//   }
// } 